namespace MyOffice.Data.Repositories.Account;

using Models.Accounts;
using MyOffice.Data.Repositories;

public class AccountAccessRepository : AppRepository<AccountAccess>, IAccountAccessRepository
{
	public bool Add(AccountAccess accountAccess)
	{
		return AddBase(accountAccess) > 0;
	}

	public bool Update(AccountAccess accountAccess)
	{
		return UpdateBase(accountAccess) > 0;
	}

	public bool Delete(AccountAccess accountAccess)
	{
		return RemoveBase(accountAccess) > 0;
	}
}